Subject: Re: [PATCH 0/2] advice: add "all" option to disable all hints

From: Junio C Hamano <[email-masked]>
Date: Wed, 24 Apr 2024 07:59:16 -0700

Patrick Steinhardt <[email-masked]> writes:

> Filtering out advices would be doable. But we probably wouldn't want to
> do so unconditionally whenever we execute Git commands.

Can you elaborate?  Would you only sometimes show advice messages
that come from "git" you invoke?  Based on what criteria would it
decide whether to filter or not to?  Is it purely per location in
your program (i.e., "every time the control flow reaches this call
to an equivalent of run_command(), we would filter the "hint:"
messages")?

In an invocation where you would not filter, what effect does users'
setting of advice.* configuration variables have, and what effect
does a new and unseen kind of advice messages have?